%global dlrn_nvr oslo.service-1.40.2-0.20191004142639.a7621c8
%global dlrn 1
%define upstream_version 1.40.2
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_bin python%{pyver}
%global pyver_sitelib %python%{pyver}_sitelib
%global pyver_install %py%{pyver}_install
%global pyver_build %py%{pyver}_build
# End of macros for py2/py3 compatibility
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%global pypi_name oslo.service
%global pname oslo-service
%global with_doc 0

%global common_desc \
Library for running OpenStack services

%global common_desc1 \
Tests for oslo.service

Name:           python-%{pname}
Version: 1.40.2
Release: 0.20191004142639.a7621c8%{?dist}
Summary:        Oslo service library

License:        ASL 2.0
URL:            http://launchpad.net/oslo
Source0: oslo.service-1.40.2-0.20191004142639.a7621c8.tar.gz
# patches_base=a7621c8c46378fb456f306dcf5f8cc7836b110d2
# patches_ignore=DROP-IN-RPM

BuildArch:      noarch

%package -n     python%{pyver}-%{pname}
Summary:        Oslo service library
%{?python_provide:%python_provide python%{pyver}-%{pname}}

BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-pbr >= 2.0.0
BuildRequires:  git
BuildRequires:  python%{pyver}-oslo-i18n
BuildRequires:  python%{pyver}-eventlet
BuildRequires:  python%{pyver}-six
# Required for documentation build
BuildRequires:  python%{pyver}-oslo-config
# Required for tests
BuildRequires:  procps-ng
BuildRequires:  python%{pyver}-fixtures
BuildRequires:  python%{pyver}-hacking
BuildRequires:  python%{pyver}-mock
BuildRequires:  python%{pyver}-requests
BuildRequires:  python%{pyver}-routes
BuildRequires:  python%{pyver}-oslotest
BuildRequires:  python%{pyver}-oslo-log
BuildRequires:  python%{pyver}-oslo-utils
BuildRequires:  python%{pyver}-oslo-concurrency
BuildRequires:  python%{pyver}-yappi
BuildRequires:  python%{pyver}-webob
%if %{pyver} == 2
BuildRequires:  python-paste
BuildRequires:  python-paste-deploy
BuildRequires:  python%{pyver}-monotonic
%else
BuildRequires:  python%{pyver}-paste
BuildRequires:  python%{pyver}-paste-deploy
%endif

Requires:       python%{pyver}-eventlet >= 0.18.2
Requires:       python%{pyver}-greenlet
Requires:       python%{pyver}-oslo-config >= 2:5.1.0
Requires:       python%{pyver}-oslo-concurrency >= 3.25.0
Requires:       python%{pyver}-oslo-i18n >= 3.15.3
Requires:       python%{pyver}-oslo-log >= 3.36.0
Requires:       python%{pyver}-oslo-utils >= 3.40.2
Requires:       python%{pyver}-routes
Requires:       python%{pyver}-six >= 1.10.0
Requires:       python%{pyver}-yappi
Requires:       python%{pyver}-debtcollector
Requires:       python%{pyver}-webob
%if %{pyver} == 2
Requires:       python-paste
Requires:       python-paste-deploy >= 1.5.0
Requires:       python%{pyver}-monotonic >= 0.6
%else
Requires:       python%{pyver}-paste
Requires:       python%{pyver}-paste-deploy >= 1.5.0
%endif


%description -n python%{pyver}-%{pname}
%{common_desc}

%package -n python%{pyver}-%{pname}-tests
Summary:        Oslo service tests
%{?python_provide:%python_provide python%{pyver}-%{pname}-tests}

Requires:  python%{pyver}-%{pname} = %{version}-%{release}
Requires:  procps-ng
Requires:  python%{pyver}-fixtures
Requires:  python%{pyver}-hacking
Requires:  python%{pyver}-mock
Requires:  python%{pyver}-requests
Requires:  python%{pyver}-routes
Requires:  python%{pyver}-oslotest

%description -n python%{pyver}-%{pname}-tests
%{common_desc1}

%if 0%{?with_doc}
%package -n python-%{pname}-doc
Summary:        Oslo service documentation

BuildRequires:  python%{pyver}-sphinx
BuildRequires:  python%{pyver}-openstackdocstheme

%description -n python-%{pname}-doc
Documentation for oslo.service
%endif

%description
%{common_desc}

%prep
%autosetup -n %{pypi_name}-%{upstream_version} -S git

%build
%{pyver_build}

%if 0%{?with_doc}
# generate html docs
%{pyver_bin} setup.py build_sphinx -b html
# remove the sphinx-build-%{pyver} leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install.
%{pyver_install}

%check
# FIXME: https://review.openstack.org/279011 seems to break tests in CentOS7,
# creating an infinite loop
#%{pyver_bin} setup.py test ||
#rm -rf .testrepository

%files -n python%{pyver}-%{pname}
%doc README.rst
%license LICENSE
%{pyver_sitelib}/oslo_service
%{pyver_sitelib}/*.egg-info
%exclude %{pyver_sitelib}/oslo_service/tests

%files -n python%{pyver}-%{pname}-tests
%{pyver_sitelib}/oslo_service/tests

%if 0%{?with_doc}
%files -n python-%{pname}-doc
%doc doc/build/html
%license LICENSE
%endif

%changelog
* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> 1.40.2-2
- Update patches

* Thu Oct 03 2019 Joel Capitao <jcapitao@redhat.com> 1.40.2-2
- Removed python2 subpackages in no el7 distros

* Wed Sep 18 2019 RDO <dev@lists.rdoproject.org> 1.40.2-1
- Update to 1.40.2

